Bug 117810 - Number pad will not work over SSH in VIM
Number pad will not work over SSH in VIM
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: vim (Show other bugs)
1
i686 Linux
low Severity medium
: ---
: ---
Assigned To: Karsten Hopp
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-03-08 15:57 EST by Nick Marsh
Modified: 2011-08-01 18:40 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-03-09 09:34:36 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Nick Marsh 2004-03-08 15:57:05 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.0; en-US; rv:1.6)
Gecko/20040206 Firefox/0.8

Description of problem:
Using the number pad in VIM over an SSH connection will not work in
VIM. It works in all other termial based programs so I don't think
it's a problem with PuTTY.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. SSH to system and login.
2. Start VIM.
3. Insert numbers from the number pad.
    

Actual Results:  Various characters are displayed, none of them are
number.

Expected Results:  1=1, 2=2, etc from the number pad.

Additional info:
Comment 1 Scott Sloan 2004-03-08 18:58:26 EST
I could not get this bug to reproduced. I logged in to my fc2 test 1
machine using the putty and launched vim. I also tried go from fc1 to
fc2 test 1, using the same version of vim, and could not get it to work. 

Comment 2 Nick Marsh 2004-03-08 20:45:46 EST
What version of PuTTY are you using?
Comment 3 Nick Marsh 2004-03-08 20:58:25 EST
Nevermind. It seems you are not using PuTTY which shoots holes in my previous theory. 
I'm going to try a couple of other tests with other SSH clients and if I'm wong I will close it 
as NOTABUG. Changing to LOW for now.
Comment 4 Nick Marsh 2004-03-09 09:34:36 EST
If you export TERM=linux it seems to resolve the problem. I'm still
confused where the real problem lies (PuTTY or VIM). Even though the
number pad works everywhere else using PuTTY and xterm emulation, when
in VIM using xterm emulation you get "no love".

So the real question is: does PuTTY have buggy xterm emulation or does
VIM not like PuTTY?

I'll leave it up to the maintainer to decide if it's a bug or not.
Comment 5 urmish 2011-08-01 18:40:52 EDT
If you click on change settings -> features -> disable application keypad in putty, you can start using keypad in vim.

Note You need to log in before you can comment on or make changes to this bug.